class sysInfo
{
	static
	{
		try
		{
			System.loadLibrary("SysInfo");
		}
		catch(UnsatisfiedLinkError ule)
		{
			System.out.println(ule);
		}		
	}

	public static native int getCPUSpeed();
	public static native String getCPUType();
	public static native int getCPUFamily();
	public static native int getCPUModal();
	public static native int getCPUStepping();
	
	public static void main(String args[])
	{
		System.out.println("Information about System");
		System.out.println("========================");
		System.out.println("Get CPU Speed: " + getCPUSpeed());
		System.out.println("Get CPU Type: " + getCPUType());
		System.out.println("Get CPU Family: " + getCPUFamily());
		System.out.println("Get CPU Modal: " + getCPUModal());
		System.out.println("Get CPU Stepping: " + getCPUStepping());
	}
}
